Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.index
Class FilterAtomicReader.FilterTerms

    java.lang.Object
      org.apache.lucene.index.Terms
          org.apache.lucene.index.FilterAtomicReader.FilterTerms

Enclosing class:
  FilterAtomicReader

    public static class FilterAtomicReader.FilterTerms

extends Terms

Base class for filtering `Terms` implementations.

NOTE: If the order of terms and documents is not changed, and if these terms are going to be intersected with automata, you could consider overriding `Terms.intersect(org.apache.lucene.util.automaton.CompiledAutomaton, org.apache.lucene.util.BytesRef)` for better performance.

Field Summary
`protected Terms` | `in` The underlying Terms instance.

Fields inherited from class org.apache.lucene.index.Terms
`EMPTY_ARRAY`

Constructor Summary
`FilterAtomicReader.FilterTerms(Terms in)` Creates a new FilterTerms

Method Summary
`Comparator<BytesRef>` | `getComparator()` Return the BytesRef Comparator used to sort terms provided by the iterator.
`int` | `getDocCount()` Returns the number of documents that have at least one term for this field, or -1 if this measure isn't stored by the codec.
`long` | `getSumDocFreq()` Returns the sum of `TermsEnum.docFreq()` for all terms in this field, or -1 if this measure isn't stored by the codec.
`long` | `getSumTotalTermFreq()` Returns the sum of `TermsEnum.totalTermFreq()` for all terms in this field, or -1 if this measure isn't stored by the codec (or if this fields omits term freq and positions).
`boolean` | `hasOffsets()` Returns true if documents in this field store offsets.
`boolean` | `hasPayloads()` Returns true if documents in this field store payloads.
`boolean` | `hasPositions()` Returns true if documents in this field store positions.
`TermsEnum` | `iterator(TermsEnum reuse)` Returns an iterator that will step through all terms.
`long` | `size()` Returns the number of terms for this field, or -1 if this measure isn't stored by the codec.

Methods inherited from class org.apache.lucene.index.Terms
`intersect`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### in

    protected final Terms in

  The underlying Terms instance.

Constructor Detail

### FilterAtomicReader.FilterTerms

    public FilterAtomicReader.FilterTerms(Terms in)

  Creates a new FilterTerms

  Parameters:
    `in` - the underlying Terms instance.

Method Detail

### iterator

    public TermsEnum iterator(TermsEnum reuse)
                       throws IOException

  Description copied from class: `Terms`
  Returns an iterator that will step through all terms. This method will not return null. If you have a previous TermsEnum, for example from a different field, you can pass it for possible reuse if the implementation can do so.

  Specified by:
    `iterator` in class `Terms`
  Throws:
    `IOException`

### getComparator

    public Comparator<BytesRef> getComparator()

  Description copied from class: `Terms`
  Return the BytesRef Comparator used to sort terms provided by the iterator. This method may return null if there are no terms. This method may be invoked many times; it's best to cache a single instance & reuse it.

  Specified by:
    `getComparator` in class `Terms`

### size

    public long size()
              throws IOException

  Description copied from class: `Terms`
  Returns the number of terms for this field, or -1 if this measure isn't stored by the codec. Note that, just like other term measures, this measure does not take deleted documents into account.

  Specified by:
    `size` in class `Terms`
  Throws:
    `IOException`

### getSumTotalTermFreq

    public long getSumTotalTermFreq()
                             throws IOException

  Description copied from class: `Terms`
  Returns the sum of `TermsEnum.totalTermFreq()` for all terms in this field, or -1 if this measure isn't stored by the codec (or if this fields omits term freq and positions). Note that, just like other term measures, this measure does not take deleted documents into account.

  Specified by:
    `getSumTotalTermFreq` in class `Terms`
  Throws:
    `IOException`

### getSumDocFreq

    public long getSumDocFreq()
                       throws IOException

  Description copied from class: `Terms`
  Returns the sum of `TermsEnum.docFreq()` for all terms in this field, or -1 if this measure isn't stored by the codec. Note that, just like other term measures, this measure does not take deleted documents into account.

  Specified by:
    `getSumDocFreq` in class `Terms`
  Throws:
    `IOException`

### getDocCount

    public int getDocCount()
                    throws IOException

  Description copied from class: `Terms`
  Returns the number of documents that have at least one term for this field, or -1 if this measure isn't stored by the codec. Note that, just like other term measures, this measure does not take deleted documents into account.

  Specified by:
    `getDocCount` in class `Terms`
  Throws:
    `IOException`

### hasOffsets

    public boolean hasOffsets()

  Description copied from class: `Terms`
  Returns true if documents in this field store offsets.

  Specified by:
    `hasOffsets` in class `Terms`

### hasPositions

    public boolean hasPositions()

  Description copied from class: `Terms`
  Returns true if documents in this field store positions.

  Specified by:
    `hasPositions` in class `Terms`

### hasPayloads

    public boolean hasPayloads()

  Description copied from class: `Terms`
  Returns true if documents in this field store payloads.

  Specified by:
    `hasPayloads` in class `Terms`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.